﻿/// <reference path="data.js" />

(function (lightSwitchApplication) {

    var $Screen = msls.Screen,
        $defineScreen = msls._defineScreen,
        $DataServiceQuery = msls.DataServiceQuery,
        $toODataString = msls._toODataString,
        $defineShowScreen = msls._defineShowScreen;

    function Home(parameters, dataWorkspace) {
        /// <summary>
        /// Blue Yonder Records Management Site Requests
        /// </summary>
        /// <param name="parameters" type="Array">
        /// An array of screen parameter values.
        /// </param>
        /// <param name="dataWorkspace" type="msls.application.DataWorkspace" optional="true">
        /// An existing data workspace for this screen to use. By default, a new data workspace is created.
        /// </param>
        /// <field name="SiteRequests" type="msls.VisualCollection" elementType="msls.application.SiteRequest">
        /// Gets the siteRequests for this screen.
        /// </field>
        /// <field name="details" type="msls.application.Home.Details">
        /// Gets the details for this screen.
        /// </field>
        if (!dataWorkspace) {
            dataWorkspace = new lightSwitchApplication.DataWorkspace();
        }
        $Screen.call(this, dataWorkspace, "Home", parameters);
    }

    function AddEditSiteRequest(parameters, dataWorkspace) {
        /// <summary>
        /// Represents the AddEditSiteRequest screen.
        /// </summary>
        /// <param name="parameters" type="Array">
        /// An array of screen parameter values.
        /// </param>
        /// <param name="dataWorkspace" type="msls.application.DataWorkspace" optional="true">
        /// An existing data workspace for this screen to use. By default, a new data workspace is created.
        /// </param>
        /// <field name="SiteRequest" type="msls.application.SiteRequest">
        /// Gets or sets the siteRequest for this screen.
        /// </field>
        /// <field name="details" type="msls.application.AddEditSiteRequest.Details">
        /// Gets the details for this screen.
        /// </field>
        if (!dataWorkspace) {
            dataWorkspace = new lightSwitchApplication.DataWorkspace();
        }
        $Screen.call(this, dataWorkspace, "AddEditSiteRequest", parameters);
    }

    function ViewSiteRequest(parameters, dataWorkspace) {
        /// <summary>
        /// Represents the ViewSiteRequest screen.
        /// </summary>
        /// <param name="parameters" type="Array">
        /// An array of screen parameter values.
        /// </param>
        /// <param name="dataWorkspace" type="msls.application.DataWorkspace" optional="true">
        /// An existing data workspace for this screen to use. By default, a new data workspace is created.
        /// </param>
        /// <field name="SiteRequest" type="msls.application.SiteRequest">
        /// Gets or sets the siteRequest for this screen.
        /// </field>
        /// <field name="details" type="msls.application.ViewSiteRequest.Details">
        /// Gets the details for this screen.
        /// </field>
        if (!dataWorkspace) {
            dataWorkspace = new lightSwitchApplication.DataWorkspace();
        }
        $Screen.call(this, dataWorkspace, "ViewSiteRequest", parameters);
    }

    msls._addToNamespace("msls.application", {

        Home: $defineScreen(Home, [
            {
                name: "SiteRequests", kind: "collection", elementType: lightSwitchApplication.SiteRequest,
                createQuery: function () {
                    return this.dataWorkspace.ApplicationData.SiteRequests;
                }
            }
        ], [
            { name: "ViewSharePointList" }
        ]),

        AddEditSiteRequest: $defineScreen(AddEditSiteRequest, [
            { name: "SiteRequest", kind: "local", type: lightSwitchApplication.SiteRequest }
        ], [
        ]),

        ViewSiteRequest: $defineScreen(ViewSiteRequest, [
            { name: "SiteRequest", kind: "local", type: lightSwitchApplication.SiteRequest }
        ], [
            { name: "DeleteSiteRequest" }
        ]),

        showHome: $defineShowScreen(function showHome(options) {
            /// <summary>
            /// Asynchronously navigates forward to the Home screen.
            /// </summary>
            /// <param name="options" optional="true">
            /// An object that provides one or more of the following options:<br/>- beforeShown: a function that is called after boundary behavior has been applied but before the screen is shown.<br/>+ Signature: beforeShown(screen)<br/>- afterClosed: a function that is called after boundary behavior has been applied and the screen has been closed.<br/>+ Signature: afterClosed(screen, action : msls.NavigateBackAction)
            /// </param>
            /// <returns type="WinJS.Promise" />
            var parameters = Array.prototype.slice.call(arguments, 0, 0);
            return lightSwitchApplication.showScreen("Home", parameters, options);
        }),

        showAddEditSiteRequest: $defineShowScreen(function showAddEditSiteRequest(SiteRequest, options) {
            /// <summary>
            /// Asynchronously navigates forward to the AddEditSiteRequest screen.
            /// </summary>
            /// <param name="options" optional="true">
            /// An object that provides one or more of the following options:<br/>- beforeShown: a function that is called after boundary behavior has been applied but before the screen is shown.<br/>+ Signature: beforeShown(screen)<br/>- afterClosed: a function that is called after boundary behavior has been applied and the screen has been closed.<br/>+ Signature: afterClosed(screen, action : msls.NavigateBackAction)
            /// </param>
            /// <returns type="WinJS.Promise" />
            var parameters = Array.prototype.slice.call(arguments, 0, 1);
            return lightSwitchApplication.showScreen("AddEditSiteRequest", parameters, options);
        }),

        showViewSiteRequest: $defineShowScreen(function showViewSiteRequest(SiteRequest, options) {
            /// <summary>
            /// Asynchronously navigates forward to the ViewSiteRequest screen.
            /// </summary>
            /// <param name="options" optional="true">
            /// An object that provides one or more of the following options:<br/>- beforeShown: a function that is called after boundary behavior has been applied but before the screen is shown.<br/>+ Signature: beforeShown(screen)<br/>- afterClosed: a function that is called after boundary behavior has been applied and the screen has been closed.<br/>+ Signature: afterClosed(screen, action : msls.NavigateBackAction)
            /// </param>
            /// <returns type="WinJS.Promise" />
            var parameters = Array.prototype.slice.call(arguments, 0, 1);
            return lightSwitchApplication.showScreen("ViewSiteRequest", parameters, options);
        })

    });

}(msls.application));
