﻿/// <reference path="../Scripts/msls-1.0.0.js" />

window.myapp = msls.application;

(function (lightSwitchApplication) {

    var $Entity = msls.Entity,
        $DataService = msls.DataService,
        $DataWorkspace = msls.DataWorkspace,
        $defineEntity = msls._defineEntity,
        $defineDataService = msls._defineDataService,
        $defineDataWorkspace = msls._defineDataWorkspace,
        $DataServiceQuery = msls.DataServiceQuery,
        $toODataString = msls._toODataString;

    function SiteRequest(entitySet) {
        /// <summary>
        /// Represents the SiteRequest entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this siteRequest.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this siteRequest.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this siteRequest.
        /// </field>
        /// <field name="RecordType" type="String">
        /// Type of record that will be stored in the records management site.
        /// </field>
        /// <field name="RecordFormat" type="String">
        /// The format of the records stored in the records management site.
        /// </field>
        /// <field name="HIPPA" type="String">
        /// HIPAA guidelines require that all records be stored in a secure environment with limited access. Blue Yonder IT can help you implement strict security protocols to determine who has access to these employee records.
        /// </field>
        /// <field name="ExternalShare" type="String">
        /// The most significant issue in implementing the required changes to vendor and contractor records is to classify the records correctly. Also, vendor record management is often seen as an unnecessary or low priority administrative task. Blue Yonder IT can help ease the challenges for you by implementing SharePoint sites that have been specially designed for this record type.
        /// </field>
        /// <field name="Title" type="String">
        /// Title of the Records Site being requested.
        /// </field>
        /// <field name="DispositionPolicy" type="String">
        /// Disposition is an integral part of records management and is the third and final stage of the life cycle of records. According to the life cycle concept, records go through three basic stages: (1) creation (or receipt), (2) maintenance and use, and (3) disposition. Blue Yonder IT has set up policies using SharePoint content types that allow your content to automatically have the appropriate disposition policy applied every time.
        /// </field>
        /// <field name="eDiscovery" type="String">
        /// SharePoint Hold and e-Discovery is a site level feature that can be activated on any site. This provides links to create and manage holds, run hold reports and search for content and add the search results to a hold. Blue Yonder IT can turn this capability on sites where you need it.
        /// </field>
        /// <field name="Description" type="String">
        /// Additional description of the requirements for the records stored in the records management site.
        /// </field>
        /// <field name="details" type="msls.application.SiteRequest.Details">
        /// Gets the details for this siteRequest.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function ApplicationData(dataWorkspace) {
        /// <summary>
        /// Represents the ApplicationData data service.
        /// </summary>
        /// <param name="dataWorkspace" type="msls.DataWorkspace">
        /// The data workspace that created this data service.
        /// </param>
        /// <field name="SiteRequests" type="msls.EntitySet">
        /// Gets the SiteRequests entity set.
        /// </field>
        /// <field name="details" type="msls.application.ApplicationData.Details">
        /// Gets the details for this data service.
        /// </field>
        $DataService.call(this, dataWorkspace);
    };
    function DataWorkspace() {
        /// <summary>
        /// Represents the data workspace.
        /// </summary>
        /// <field name="ApplicationData" type="msls.application.ApplicationData">
        /// Gets the ApplicationData data service.
        /// </field>
        /// <field name="details" type="msls.application.DataWorkspace.Details">
        /// Gets the details for this data workspace.
        /// </field>
        $DataWorkspace.call(this);
    };

    msls._addToNamespace("msls.application", {

        SiteRequest: $defineEntity(SiteRequest, [
            { name: "Id", type: Number },
            { name: "RowVersion", type: Array },
            { name: "RecordType", type: String },
            { name: "RecordFormat", type: String },
            { name: "HIPPA", type: String },
            { name: "ExternalShare", type: String },
            { name: "Title", type: String },
            { name: "DispositionPolicy", type: String },
            { name: "eDiscovery", type: String },
            { name: "Description", type: String }
        ]),

        ApplicationData: $defineDataService(ApplicationData, lightSwitchApplication.rootUri + "/ApplicationData.svc", [
            { name: "SiteRequests", elementType: SiteRequest }
        ], [
            {
                name: "SiteRequests_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.SiteRequests },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/SiteRequests(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            }
        ]),

        DataWorkspace: $defineDataWorkspace(DataWorkspace, [
            { name: "ApplicationData", type: ApplicationData }
        ])

    });

}(msls.application));
