﻿/// <reference path="viewModel.js" />

(function (lightSwitchApplication) {

    var $parameters = [document.createElement("div"), msls.ContentItem];

    msls._addEntryPoints(lightSwitchApplication.Home, {
        /// <field>
        /// Called when a new Home screen is created.
        /// <br/>created(msls.application.Home screen)
        /// </field>
        created: [lightSwitchApplication.Home],
        /// <field>
        /// Called before changes on an active Home screen are applied.
        /// <br/>beforeApplyChanges(msls.application.Home screen)
        /// </field>
        beforeApplyChanges: [lightSwitchApplication.Home],
        /// <field>
        /// Called to determine if the ViewSharePointList method can be executed.
        /// <br/>canExecute(msls.application.Home screen)
        /// </field>
        ViewSharePointList_canExecute: [lightSwitchApplication.Home],
        /// <field>
        /// Called to execute the ViewSharePointList method.
        /// <br/>execute(msls.application.Home screen)
        /// </field>
        ViewSharePointList_execute: [lightSwitchApplication.Home],
        /// <field>
        /// Called after the SiteRequestList content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        SiteRequestList_postRender: $parameters,
        /// <field>
        /// Called after the SiteRequest content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        SiteRequest_postRender: $parameters,
        /// <field>
        /// Called after the RowTemplate content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        RowTemplate_postRender: $parameters,
        /// <field>
        /// Called after the Title content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Title_postRender: $parameters,
        /// <field>
        /// Called after the RecordType content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        RecordType_postRender: $parameters,
        /// <field>
        /// Called after the Description content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Description_postRender: $parameters
    });

    msls._addEntryPoints(lightSwitchApplication.AddEditSiteRequest, {
        /// <field>
        /// Called when a new AddEditSiteRequest screen is created.
        /// <br/>created(msls.application.AddEditSiteRequest screen)
        /// </field>
        created: [lightSwitchApplication.AddEditSiteRequest],
        /// <field>
        /// Called before changes on an active AddEditSiteRequest screen are applied.
        /// <br/>beforeApplyChanges(msls.application.AddEditSiteRequest screen)
        /// </field>
        beforeApplyChanges: [lightSwitchApplication.AddEditSiteRequest],
        /// <field>
        /// Called after the Step1 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Step1_postRender: $parameters,
        /// <field>
        /// Called after the Title content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Title_postRender: $parameters,
        /// <field>
        /// Called after the RecordType content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        RecordType_postRender: $parameters,
        /// <field>
        /// Called after the Description content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Description_postRender: $parameters,
        /// <field>
        /// Called after the Step2 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Step2_postRender: $parameters,
        /// <field>
        /// Called after the Group content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Group_postRender: $parameters,
        /// <field>
        /// Called after the Step2_Left content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Step2_Left_postRender: $parameters,
        /// <field>
        /// Called after the RecordFormat content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        RecordFormat_postRender: $parameters,
        /// <field>
        /// Called after the Step2_Right content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Step2_Right_postRender: $parameters,
        /// <field>
        /// Called after the Step3 content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Step3_postRender: $parameters,
        /// <field>
        /// Called after the HIPPA content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        HIPPA_postRender: $parameters,
        /// <field>
        /// Called after the ExternalShare content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        ExternalShare_postRender: $parameters,
        /// <field>
        /// Called after the DispositionPolicy content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        DispositionPolicy_postRender: $parameters,
        /// <field>
        /// Called after the eDiscovery content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        eDiscovery_postRender: $parameters
    });

    msls._addEntryPoints(lightSwitchApplication.ViewSiteRequest, {
        /// <field>
        /// Called when a new ViewSiteRequest screen is created.
        /// <br/>created(msls.application.ViewSiteRequest screen)
        /// </field>
        created: [lightSwitchApplication.ViewSiteRequest],
        /// <field>
        /// Called before changes on an active ViewSiteRequest screen are applied.
        /// <br/>beforeApplyChanges(msls.application.ViewSiteRequest screen)
        /// </field>
        beforeApplyChanges: [lightSwitchApplication.ViewSiteRequest],
        /// <field>
        /// Called to determine if the DeleteSiteRequest method can be executed.
        /// <br/>canExecute(msls.application.ViewSiteRequest screen)
        /// </field>
        DeleteSiteRequest_canExecute: [lightSwitchApplication.ViewSiteRequest],
        /// <field>
        /// Called to execute the DeleteSiteRequest method.
        /// <br/>execute(msls.application.ViewSiteRequest screen)
        /// </field>
        DeleteSiteRequest_execute: [lightSwitchApplication.ViewSiteRequest],
        /// <field>
        /// Called after the Details content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Details_postRender: $parameters,
        /// <field>
        /// Called after the Title content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Title_postRender: $parameters,
        /// <field>
        /// Called after the RecordType content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        RecordType_postRender: $parameters,
        /// <field>
        /// Called after the Description content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        Description_postRender: $parameters,
        /// <field>
        /// Called after the RecordFormat content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        RecordFormat_postRender: $parameters,
        /// <field>
        /// Called after the HIPPA content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        HIPPA_postRender: $parameters,
        /// <field>
        /// Called after the ExternalShare content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        ExternalShare_postRender: $parameters,
        /// <field>
        /// Called after the DispositionPolicy content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        DispositionPolicy_postRender: $parameters,
        /// <field>
        /// Called after the eDiscovery content item has been rendered.
        /// <br/>postRender(HTMLElement element, msls.ContentItem contentItem)
        /// </field>
        eDiscovery_postRender: $parameters
    });

}(msls.application));
